commit:     ab4b910e9bb444c971ebf104bab70a5dc1f45c47
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  9 16:46:46 2020 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Sep  9 16:52:43 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab4b910e

net-misc/proxytunnel: 1.10.20200907 version bump

Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-misc/proxytunnel/Manifest                      |  1 +
 .../proxytunnel/proxytunnel-1.10.20200907.ebuild   | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/net-misc/proxytunnel/Manifest b/net-misc/proxytunnel/Manifest
index 7eae52c65ab..ba25b04cc5c 100644
--- a/net-misc/proxytunnel/Manifest
+++ b/net-misc/proxytunnel/Manifest
@@ -1,2 +1,3 @@
 DIST proxytunnel-1.10.20200507.tar.gz 52286 BLAKE2B 
fca86840c4240137e6cf92a289344c39a8ab4066fb3efe83007ea75c9e42ebd746ce3e326d2351af38ac580c18d139a8d4f956af828862ae4f4e89eb3bd19fa0
 SHA512 
8727a686dcca9e38e5327207f29824daeddf9ce9a4fccdef6c6bd41019eb3901d4b84e724cbf9ba615115151ea434a597e9290ce302ba6df41e99d2f0b484e01
+DIST proxytunnel-1.10.20200907.tar.gz 54711 BLAKE2B 
79b5fc459ece793997b4407679498af29c53aa495802259f95ec600665fca815f9e43cafcbf1d0407c4f7184c21e7dae3f899413dbeeaf0924034e1bbd26cddb
 SHA512 
f04570e87a0fda024661135b6598f87f1d7407c368fe3453300a655fefedb66ade96a742223de08b500ba9fc1fdc2e6519005ea38529ceaa3c1815f5012fca84
 DIST proxytunnel-1.9.1.tar.gz 48025 BLAKE2B 
5a844d8fdbb9a1eae9c40c7621086b873ae89813b7c596da4416efcb777a8110ad7d224a0efa2e193cfbbb82dbfe69d44d4dd36db080b8e902630a464a85b953
 SHA512 
819dd11bc13fc279d2d475b89909c0eea414ff71d772d4bfed742dd8d425669dc502f2c22d983bb8c58e426a2bc7209526cb21492ca5f8e92ea1b9ea961fcfdc

diff --git a/net-misc/proxytunnel/proxytunnel-1.10.20200907.ebuild 
b/net-misc/proxytunnel/proxytunnel-1.10.20200907.ebuild
new file mode 100644
index 00000000000..cbc33dfb1f6
--- /dev/null
+++ b/net-misc/proxytunnel/proxytunnel-1.10.20200907.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Connect stdin and stdout to a server via an HTTPS proxy"
+HOMEPAGE="https://github.com/proxytunnel/proxytunnel/ 
https://proxytunnel.sourceforge.net/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static"
+
+RDEPEND="dev-libs/openssl:="
+DEPEND="${RDEPEND}
+       app-text/asciidoc
+       app-text/xmlto
+       "
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( CHANGES CREDITS INSTALL KNOWN_ISSUES LICENSE.txt README RELNOTES TODO )
+
+if [[ ${PV} == *9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/${PN}/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sparc ~x86"
+fi
+
+src_prepare() {
+       default
+       sed -i -e 's/libssl/libssl libcrypto/' Makefile || die "Sed failed!"
+}
+
+src_compile() {
+       use static && append-ldflags -static
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake install prefix="${EPREFIX}"/usr DESTDIR="${D}"
+       einstalldocs
+}

Reply via email to